Solarware API-Dokumentation
YAML herunterladen

Aufgabe erstellen

Erstellt eine Aufgabe. Pflicht: `title`. Optional: deals_id, type (other/call/email), status (to-do/done), priority (high/low/medium), due_date, start_time, description.

post /api/v1/tasks

Sicherheit

ApiKeyAuth

Parameter

Name In Typ Details
Idempotency-Key header string Optional Unique key for safe create retries (Make/Zapier/n8n). Replays the stored successful response for the same key + request body within 7 days.

Request-Body Pflicht

application/json

Beispiel

{
    "title": "Call customer",
    "deals_id": 12,
    "type": "call",
    "priority": "medium",
    "due_date": "2026-09-15T10:00:00"
}

Schema

{
    "type": "object",
    "required": [
        "title"
    ],
    "properties": {
        "title": {
            "type": "string"
        },
        "description": {
            "type": "string"
        },
        "deals_id": {
            "type": "integer"
        },
        "type": {
            "type": "string",
            "enum": [
                "other",
                "call",
                "email"
            ]
        },
        "status": {
            "type": "string",
            "enum": [
                "to-do",
                "done"
            ]
        },
        "priority": {
            "type": "string",
            "enum": [
                "high",
                "low",
                "medium"
            ]
        },
        "due_date": {
            "type": "string"
        },
        "start_time": {
            "type": "string"
        }
    }
}

Antworten

201 Aufgabe erstellt

application/json

{
    "allOf": [
        {
            "title": "API envelope",
            "type": "object",
            "properties": {
                "success": {
                    "type": "boolean"
                },
                "message": {
                    "type": "string",
                    "nullable": true
                },
                "errors": {
                    "nullable": true
                },
                "meta": {
                    "type": "object",
                    "nullable": true,
                    "additionalProperties": true
                }
            }
        },
        {
            "type": "object",
            "properties": {
                "data": {
                    "title": "Task",
                    "type": "object",
                    "required": [
                        "id",
                        "title"
                    ],
                    "properties": {
                        "id": {
                            "type": "integer"
                        },
                        "title": {
                            "type": "string"
                        },
                        "description": {
                            "type": "string",
                            "nullable": true
                        },
                        "deals_id": {
                            "type": "integer",
                            "nullable": true
                        },
                        "type": {
                            "type": "string",
                            "nullable": true,
                            "enum": [
                                "other",
                                "call",
                                "email"
                            ]
                        },
                        "status": {
                            "type": "string",
                            "nullable": true,
                            "enum": [
                                "to-do",
                                "done"
                            ]
                        },
                        "priority": {
                            "type": "string",
                            "nullable": true,
                            "enum": [
                                "high",
                                "low",
                                "medium"
                            ]
                        },
                        "due_date": {
                            "type": "string",
                            "nullable": true
                        },
                        "start_time": {
                            "type": "string",
                            "nullable": true
                        },
                        "created_by": {
                            "type": "integer",
                            "nullable": true
                        },
                        "created_at": {
                            "type": "string",
                            "format": "date-time",
                            "nullable": true
                        },
                        "updated_at": {
                            "type": "string",
                            "format": "date-time",
                            "nullable": true
                        }
                    }
                }
            }
        }
    ]
}
401 Missing or invalid API key

application/json

{
    "type": "object",
    "properties": {
        "success": {
            "type": "boolean",
            "example": false
        },
        "message": {
            "type": "string",
            "example": "Missing API key (X-Api-Key)"
        }
    }
}
422 Validation failed

application/json

{
    "title": "API envelope",
    "type": "object",
    "properties": {
        "success": {
            "type": "boolean"
        },
        "message": {
            "type": "string",
            "nullable": true
        },
        "errors": {
            "nullable": true
        },
        "meta": {
            "type": "object",
            "nullable": true,
            "additionalProperties": true
        }
    }
}